Bug 2423 - missing directory: /usr/X11R6/lib/X11/xdm/authdir/authfiles
missing directory: /usr/X11R6/lib/X11/xdm/authdir/authfiles
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
: 2412 2914 3329 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 1999-04-29 15:23 EDT by Dan Yocum
Modified: 2008-05-01 11:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-17 10:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 1999-04-29 15:23:02 EDT
If you've tried running exmh, then you've probably come
across these infamous xauth errors:


BgRegister X server insecure (must use xauth-style
authorization); command ignored
exmh-bg cannot rendez-vous with UI - exiting.
Usually this is because Tk send is not working.
Check the notes under Frequently Asked Questions #4a and
You can find this under the Help menu.


The problem is that there is a missing directory that needs
to be created.

If you're using operating in runlevel 5 you can look at your
/var/log/xdm-error.log file and you will notice that the
first line should look like this:

xdm error (pid 491): Cannot open server authorization file

The directory that needs to be created is
After this is created, xauth takes over and everything is

FWIW, this problem has persisted since XFree86-3.3.2 (at

Comment 1 Anonymous 1999-04-29 15:35:59 EDT
err... that should be /usr/X11R6/lib/X11/xdm/authdir/authfiles


Comment 2 Preston Brown 1999-06-14 16:42:59 EDT
*** Bug 2412 has been marked as a duplicate of this bug. ***

kdm reports nonexistence of some directories|files


# mkdir /etc/X11/xdm/authdir
# mkdir /etc/X11/xdm/authdir/authfiles
# chmod -R 700 /etc/X11/xdm/authdir

------- Additional Comments From Petr_Kristof@fce.vutbr.cz  04/30/99 10:27 -------
localhost kdm[416]: Cannot open server authorization file
/usr/X11R6/lib/X11/xdm/authdir/A:0-xxxxxx*** Bug 3329 has been marked as a duplicate of this bug. ***

After installation of RH60, when rebooting the system for
the first time, this message appear in the log file
/var/log/messages "could not create dir /etc/X11/fs/.xauth"
This is a new install and the /etc/X11/fs exist with the
file config. It doesn't cause problems with my XFree86 but I
can see the message (could not create dir
/etc/X11/fs/.xauth) in the log file. I think that the system
cant create the file in the directory because
it doesn't have permission to do, the /etc/X11/fs is 755 by
default when your install Linux for the first time. If I
change the permission of this folder for 775 it's work
but am not sure if it can by a problem with the security of
the system? Strange. xfs is run by the xfs user, which of
course does not have root priviledges, but /etc/X11/fs is
owned by root.root. Why enabling write permission for the
root group makes the error go away makes no sense because
xfs's group is xfs.

RedHat Linux 6.0
xfs, atd, gpm, inet, named, nfs, routed, smb, sshd, crond,
halt, keytable, netfs, portmaps, sendmail, snmpd, syslog,
function, httpd, killall, network, squid, single, random.
SCSI Drive
pc x86 400MHz single Processor
Monterboard Asus P2-BLS

Gerhard Mourani

------- Additional Comments From pbrown@redhat.com  06/11/99 14:30 -------
This will be fixed in an upcoming errata release of X.
Comment 3 Preston Brown 1999-06-14 17:15:59 EDT
*** Bug 2914 has been marked as a duplicate of this bug. ***

When using [kx]dm as prefdm (/etc/X11/prefdm) the directory
/etc/X11/xdm/authdir does not exists, in which case the dm
-failing to store xauth cookies- falls back to using xhost

Any user on the system can now grab whatever display (either
local or remote) has logged into the system, and wreck

If not sure type xhost at an xterm to check for security. If
it shows:
(etc.), your authdir does not exist.
Create it now, or fear the laughter of your colleages
(filling your screen with garbage) :).

------- Additional Comments From   06/05/99 15:32 -------
This doesn t seem to happen with the alpha distrib ...
(shouldn t they all come from the same .src, BTW ? or this is due
do different SPECS files ?)
But I confirm it on i386...
The problem I have now, is that I canot xhost -localhost or xhost
-Mylocdispname ... the command pass silently but tese entries remain
in the list !

------- Additional Comments From pbrown@redhat.com  06/08/99 12:52 -------
We will soon be putting out an errata release of X that explicitly
packages the authdir.  Under some (unexplored) circumstances, xdm will
create the directory for itself, but we cannot rely on this happening.
Thank you for the report.
Comment 4 Bill Nottingham 1999-06-17 10:54:59 EDT
Fixed in errata XFree86-*-52 release.

Note You need to log in before you can comment on or make changes to this bug.